Package Details: syslinux-git 6.03-1

Git Clone URL: https://aur.archlinux.org/syslinux-git.git (read-only)
Package Base: syslinux-git
Description: Collection of boot loaders that boot from FAT, ext2/3/4 and btrfs filesystems, from CDs and via PXE - GIT master branch
Upstream URL: http://syslinux.zytor.com/
Licenses: GPL2
Conflicts: syslinux, syslinux-bios, syslinux-efi, syslinux-firmware-git
Provides: syslinux=6.03, syslinux-bios=6.03, syslinux-efi=6.03, syslinux-firmware-git=6.03
Submitter: None
Maintainer: None
Last Packager: ridikulusrat
Votes: 2
Popularity: 0.000000
First Submitted: 2010-12-29 10:43
Last Updated: 2015-06-09 01:26

Dependencies (14)

Required by (18)

Sources (4)

Latest Comments

ridikulusrat commented on 2016-03-23 00:07

Due to work and other life commitments, I am unable to devote time to maintain this package. Orphaned.

ridikulusrat commented on 2014-05-16 23:53

@paalsteek: xfs added to install_update script.

ridikulusrat commented on 2014-05-16 20:00

@ALL: Please switch to https://aur.archlinux.org/packages/syslinux-git/ .

oats commented on 2014-03-31 12:35

Has this version (6.03) fixed the btrfs superblock corruption bug?

paalsteek commented on 2014-03-17 20:00

Please add xfs to syslinux_fs in syslinux-install_update

ridikulusrat commented on 2014-02-08 22:19

@Cinelli: Do you mind if I maintain this pkg? Syslinux -git master branch has moved to 6.xx version (previous "firmware" branch) and I would like to merge my pkg https://aur.archlinux.org/packages/syslinux-firmware-git/ into this.

ridikulusrat commented on 2013-11-09 08:36

@ALL: If you are upgrading from Syslinux 4.xx (https://aur.archlinux.org/packages/syslinux-git/) (or 5.xx) to Syslinux 6.xx (this pkg), manually install (not update) (not using the install script) Syslinux BIOS by following https://wiki.archlinux.org/index.php/Syslinux#Manual_install .

ridikulusrat commented on 2013-07-05 09:14

Syslinux in [testing] is also at version 6.01 (same as this pkg) and supports UEFI.

ridikulusrat commented on 2013-06-28 15:07

Please change over to https://aur.archlinux.org/packages/syslinux-firmware-git/

ridikulusrat commented on 2013-06-28 15:07

Please change over to https://aur.archlinux.org/packages/syslinux-firmware-git/

ridikulusrat commented on 2013-06-20 18:42

Syslinux v6.00 has been released. Please test it.

ridikulusrat commented on 2013-06-20 17:57

Maintainer comment: For user who manually build their gnu-efi-libs pkg, syslinxu-efi-git requires gnu-efi 3.0u or latest git and should be built with GNU_EFI_USE_MS_ABI enabled.

ridikulusrat commented on 2013-06-20 05:15

Maintainer comment: This package requires testing/gnu-efi-libs-3.0u-1 pkg, it won't build with extra/gnu-efi-libs-3.0t .

ridikulusrat commented on 2013-06-20 05:15

This package requires testing/gnu-efi-libs-3.0u-1 pkg, it won't build with extra/gnu-efi-libs-3.0t .

ridikulusrat commented on 2013-06-09 06:15

@rohshall: Yes, syslinux now shows the menu and boots the kernel properly. I only tested efi64 version and with core/linux pkg. I can't comment on efi32 build of linux-lts kernel. You need https://aur.archlinux.org/packages/gnu-efi-libs-git/ to build this pkg.

rohshall commented on 2013-06-09 01:33

Any idea whether the recent version shows you the menu instead of dropping you into the 'boot:' prompt?

ridikulusrat commented on 2013-04-29 11:22

Pkg orphaned - use Syslinux 5.01 in [testing]

ridikulusrat commented on 2012-12-09 13:24

menu.c32, vesamenu.c32 and other dynamically linked elf *.c32 modules are not working, so syslinux.efi should drop you into the "boot:" prompt. This same bug is present in syslinux 5.00 release (actually got carried over from 5.00 to the firmware branch).

But syslinux boots the kernels just fine. You can launch the kernel by typing any of the LABEL you defined in syslinux.cfg . I do not know whether it supports kernels versions 3.0 to 3.5, since EFI Handover Protocol (supposedly required in kernel to be able to boot from syslinux was added only in kernel 3.6). Can someone test any L.TS kernel with syslinux.efi ?

ridikulusrat commented on 2012-04-27 08:22

I am orphaning this package since I use grub2 in my system. Please adopt it.

ridikulusrat commented on 2012-03-03 10:09

Syslinux now support NTFS partitions.

eworm commented on 2011-12-30 11:35

If anybody is interested... The branch "lwip" has what will become syslinux 4.10.

lucasdemarchi commented on 2011-01-19 10:46

You might want to remove unused patches.

Anonymous comment on 2010-12-29 10:44

PKGBUILD copied from https://github.com/lucasdemarchi/arch-overlay with slight modifications